(* Monat auswhlen

    2007-2021 Dr. J. Rathlev 24222 Schwentinental
      Web:  www.rathlev-home.de
      Mail: kontakt(a)rathlev-home.de

   The contents of this file may be used under the terms of the
   Mozilla Public License ("MPL") or
   GNU Lesser General Public License Version 2 or later (the "LGPL")

   Software distributed under this License is distributed on an "AS IS" basis,
   WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
   the specific language governing rights and limitations under the License.
   *)


unit JahrWahl;

interface

uses Winapi.Windows, System.SysUtils, System.Classes, Vcl.Graphics, Vcl.Forms,
  Vcl.Controls, Vcl.StdCtrls, Vcl.Buttons, Vcl.ExtCtrls, Vcl.Samples.Spin;

type
  TJahrWahlDialog = class(TForm)
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    seJahr: TSpinEdit;
    Label1: TLabel;
    sbAktJahr: TSpeedButton;
    procedure FormCreate(Sender: TObject);
    procedure sbAktJahrClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    function Execute (var Jahr : word) : boolean;
  end;

var
  JahrWahlDialog: TJahrWahlDialog;

{ ---------------------------------------------------------------- }
implementation

{$R *.DFM}

uses System.DateUtils;

{ ---------------------------------------------------------------- }
procedure TJahrWahlDialog.FormCreate(Sender: TObject);
begin
  // Init
  end;

procedure TJahrWahlDialog.sbAktJahrClick(Sender: TObject);
begin
  seJahr.Value:=YearOf(ToDay);
  end;

{ ---------------------------------------------------------------- }
function TJahrWahlDialog.Execute (var Jahr : word) : boolean;
begin
  seJahr.Value:=Jahr;
  Result:=ShowModal=mrOK;
  if Result then Jahr:=seJahr.Value;
  end;

end.
